package com.book.push.controller;

/**
 * created in 2021/8/17
 * Project: book-store
 *
 * @author win7
 */

import com.book.push.dao.pojo.User;
import com.book.push.service.dao.UserService;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

/**
 * @author
 */
@AllArgsConstructor
@RestController
@RequestMapping("/menu/index")
public class MenuIndexController {

    /**
     * //FIXME
     *
     * 重定向urL，需要改
     */
    public static final String REDIRECT_URL = "/wx/redirect/{appid}/greet";

    @GetMapping("/{state}")
    public String BookMain(HttpServletRequest request, @PathVariable String state) {

        StringBuffer url = request.getRequestURL();
        String contextUrl = url.delete(url.length() - request.getRequestURI().length(), url.length()).append("/").toString();
        String[] split = contextUrl.split("\\.");
        String appid = split[0];

        String auto2Url = "https://open.weixin.qq.com/connect/oauth2/authorize?appid=%s&redirect_uri=%s&response_type=code&scope=SCOPE&state=%s#wechat_redirect ";
        String redirect_url = REDIRECT_URL.replace("{appid}",appid);
        String format = String.format(auto2Url, appid, redirect_url, state);
        return "redirect:" + format;


    }


}
